## phpunit 11.5.3

=== debian/changelog ===
phpunit (11.5.3-1ubuntu4) plucky; urgency=medium

  * d/pkg-php-tools-autoloaders: bootstrap autoloaders removal. Each of these
    autoloaders were moved to the actual package providing the capability. For
    that to work in Ubuntu, we need a first version of those packages available.
    This delta can safely be removed after plucky is released.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 12 Feb 2025 09:28:29 -0300

phpunit (11.5.3-1ubuntu3) plucky; urgency=medium

  * d/pkg-php-tools-overrides: add missing entry for php-codecoverage

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 10 Feb 2025 15:37:23 -0300

phpunit (11.5.3-1ubuntu2) plucky; urgency=medium

  * d/pkg-php-tools-overrides: bootstrap overrides removal. Each of these
    overrides were moved to the actual package providing the capability. For
    that to work in Ubuntu, we need a first version of those packages
    available. This delta can safely be removed after plucky is released.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 10 Feb 2025 11:17:27 -0300

phpunit (11.5.3-1ubuntu1) plucky; urgency=medium

  * d/control: drop php-codecoverage B-D to allow transition
  * d/rules: do not halt upon built-time test failures

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 29 Jan 2025 08:03:41 -0300

phpunit (11.5.3-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Bump copyright year
  * Implement missing events for errors in hook methods
  * Emit Test\AfterLastTestMethodCalled, Test\AfterLastTestMethodErrored,
    and Test\AfterLastTestMethodFinished events when an after-last-test
    method errors
  * Prepare release

  [ David Prévot ]
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Tue, 14 Jan 2025 08:24:19 +0100

phpunit (11.5.2-4) unstable; urgency=medium

  * Source-only upload for testing migration

 -- David Prévot <taffit@debian.org>  Fri, 10 Jan 2025 12:06:29 +0100

phpunit (11.5.2-3) unstable; urgency=medium

  * Upload to unstable

 -- David Prévot <taffit@debian.org>  Fri, 10 Jan 2025 09:18:54 +0100

phpunit (11.5.2-2) experimental; urgency=medium

  * Ship php-staabm-side-effects-detector in NEW processing

 -- David Prévot <taffit@debian.org>  Fri, 27 Dec 2024 19:51:41 +0100

phpunit (11.5.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Implement TestRunner\ChildProcessStarted and
    TestRunner\ChildProcessFinished events
  * Prepare release

  [ Markus Staab ]
  * Inline SKIPIF evaluation without side-effects
  * Inline CLEAN evaluation without main-process pollution

  [ David Prévot ]
  * Adapt to new php-staabm-side-effects-detector dependency
  * Versioned phpunit-type build-dependency

 -- David Prévot <taffit@debian.org>  Wed, 25 Dec 2024 15:23:10 +0100

phpunit (11.4.4-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Update exclusions for phpab

 -- David Prévot <taffit@debian.org>  Sun, 01 Dec 2024 08:18:04 +0100

phpunit (11.4.3-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Sem Koolen ]
  * improved parameter names for asserts

  [ Ilia Smirnov ]
  * Remove empty lines between teamcity events

  [ David Prévot ]
  * Update exclusions for phpab

 -- David Prévot <taffit@debian.org>  Sat, 02 Nov 2024 11:39:59 +0100

phpunit (11.4.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Christian Flothmann ]
  * fix typo in exception message

  [ Markus Staab ]
  * Disable xdebug in subprocess when inactive

 -- David Prévot <taffit@debian.org>  Wed, 23 Oct 2024 07:06:45 +0200

phpunit (11.4.1-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Nicolas PHILIPPE ]
  * Bootstrap extensions before building test suite
  * Seal EventFacade before building the test suite
  * Filter deprecationTriggers when displaying deprecation details
  * #[RequiresPhpunitExtension] attribute

  [ David Prévot ]
  * Update exclusions for phpab

 -- David Prévot <taffit@debian.org>  Wed, 09 Oct 2024 15:58:38 +0200

phpunit (11.3.6-1) experimental; urgency=medium

  [ Kuba Werłos ]
  * Do not trim testdox text when it contains `$` character

  [ Sebastian Bergmann ]
  * Do not try to instantiate attribute classes that do not exist
  * Prepare release

 -- David Prévot <taffit@debian.org>  Fri, 20 Sep 2024 07:57:54 +0200

phpunit (11.3.5-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Update expectation after update of sebastian/comparator
  * Revert "add name property to testsuites element in JunitXmlLogger"
  * Prepare release

  [ Jamie ]
  * convert callback callable to closure for variadic reflection

 -- David Prévot <taffit@debian.org>  Sat, 14 Sep 2024 09:40:04 +0200

phpunit (11.3.4-1) experimental; urgency=medium

  [ Kuba Werłos ]
  * Fix testdox output containing dollar signs in the value from data provider
  * Do not fail with "An error occurred inside PHPUnit" when data provider key
    is not int or string
  * Fix variadic function as callback

  [ Sebastian Bergmann ]
  * Prepare release

  [ Eric Stern ]
  * Fix JSON object order comparison with numeric keys

 -- David Prévot <taffit@debian.org>  Tue, 10 Sep 2024 08:47:15 +0200

phpunit (11.3.3-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Implement options for controlling whether details on PHPUnit deprecations
    should be displayed
  * Prepare release

  [ joseph-sentry ]
  * add name property to testsuites element in JunitXmlLogger

 -- David Prévot <taffit@debian.org>  Fri, 06 Sep 2024 08:03:48 +0200

phpunit (11.3.1-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Improve description of objects (inspired by #5912)
  * Update dependencies
  * Update tests after sebastian/comparator update (previous version was
    hiding problems with wrong expectations)
  * Prepare release

 -- David Prévot <taffit@debian.org>  Thu, 15 Aug 2024 08:47:03 +0200


