## phpunit 11.5.5

=== debian/changelog ===
phpunit (11.5.5-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Revert deprecation of targeting traits
  * Do not skip execution of test that depends on a test that is larger than
    itself
  * Prepare release

 -- David Prévot <taffit@debian.org>  Thu, 30 Jan 2025 06:59:28 +0100
