## phpunit 11.5.6

=== debian/changelog ===
phpunit (11.5.6-1) unstable; urgency=medium

  [ Daniel Leech ]
  * Improve source map performance for directories with same path

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Mon, 03 Feb 2025 13:21:24 +0100
