## phpunit 11.5.7

=== debian/changelog ===
phpunit (11.5.7-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Revert deprecation of includeUncoveredFiles configuration option
  * Prepare release

  [ Nicolas PHILIPPE ]
  * fix(hooks): allow negative priorities

  [ David Prévot ]
  * Track version 11 for now (Trixie?)
  * Rename DEP-8 patch

 -- David Prévot <taffit@debian.org>  Fri, 07 Feb 2025 18:46:09 +0100
