=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: phpunit
 Section: php
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: Prach Pongpanich <prach@debian.org>,
            David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
                help2man,
+               php-codecoverage (>= 10.1),
                php-deepcopy,
                php-invoker,
                php-mbstring,
@@ -26,7 +26,7 @@
                phpunit-type (>= 5)
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/php-team/pear/phpunit.git
+Vcs-Git: https://salsa.debian.org/php-team/pear/phpunit.git -b debian/11
 Vcs-Browser: https://salsa.debian.org/php-team/pear/phpunit
 Homepage: https://phpunit.de/
