## phpunit 11.5.8

=== debian/changelog ===
phpunit (11.5.8-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Do not emit a Test\Passed event in addition to a Test\Failed or
    Test\Errored event when an assertion failure or an unexpected exception
    is triggered in an after-test method
  * Emit a TestSuite\Finished event when a before-first-test method errors
  * Emit Test\PreparationFailed event when an unexpected exception is
    triggered in a before-test method
  * Prepare release

 -- David Prévot <taffit@debian.org>  Wed, 19 Feb 2025 07:41:14 +0100
