## phpunit 11.5.12

=== debian/changelog ===
phpunit (11.5.12-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Fri, 07 Mar 2025 08:57:15 +0100

phpunit (11.5.10-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Thu, 27 Feb 2025 19:07:18 +0100

phpunit (11.5.9-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Mon, 24 Feb 2025 07:53:19 +0100
