=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                phpunit-global-state (>= 6),
                phpunit-object-enumerator (>= 5),
                phpunit-type (>= 5)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/php-team/pear/phpunit.git -b debian/11
 Vcs-Browser: https://salsa.debian.org/php-team/pear/phpunit
