## phpunit 11.5.14

=== debian/changelog ===
phpunit (11.5.14-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Update dependencies
  * Prepare release

 -- David Prévot <taffit@debian.org>  Wed, 19 Mar 2025 19:51:08 +0100

phpunit (11.5.13-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Trigger warning when code coverage analysis is performed and no cache
    directory is configured
  * Prepare release

 -- David Prévot <taffit@debian.org>  Wed, 19 Mar 2025 08:46:16 +0100

phpunit (11.5.12-2) unstable; urgency=medium

  * Revert "Ship php-staabm-side-effects-detector in NEW processing"

 -- David Prévot <taffit@debian.org>  Mon, 17 Mar 2025 13:39:13 +0100
