## phpunit 11.5.15

=== debian/changelog ===
phpunit (11.5.15-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Revert "Trigger warning when code coverage analysis is performed
    and no cache directory is configured"
  * Prepare release

 -- David Prévot <taffit@debian.org>  Tue, 25 Mar 2025 07:30:28 +0100
