## phpunit 11.5.19

=== debian/changelog ===
phpunit (11.5.19-1build4) questing; urgency=medium

  * Remove all boostrapping changes

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 May 2025 11:55:03 -0400

phpunit (11.5.19-1build3) questing; urgency=medium

  * Relax phpunit-comparator dependency for boostrapping

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 22:40:06 -0400

phpunit (11.5.19-1build2) questing; urgency=medium

  * Add patch to relax php-deepcopy dependency for bootstrapping

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 16:32:00 -0400

phpunit (11.5.19-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Implement configuration options for displaying details on all issues and
    failing on all issues
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sat, 03 May 2025 07:36:49 +0200

phpunit (11.5.18-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Do not use the real size of memory allocated from the operating system as
    this is grown by PHP's memory manager in chunks that are so large that
    small(er) increases in peak memory usage cannot be seen
  * Reset the peak memory usage returned by memory_get_peak_usage() before the
    Test\Prepared event is emitted so that (memory usage at Test\Finished -
    memory usage at Test\Prepared) is the memory usage of the test
  * Use peak memory usage when representing Telemetry\Info as string
  * Do not emit "Before Test Method Errored" event when a test is skipped in a
    "before test" method
  * Prepare release

 -- David Prévot <taffit@debian.org>  Fri, 25 Apr 2025 08:02:04 +0200

phpunit (11.5.17-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Make TestCase::runTest() method private
  * Prepare release

 -- David Prévot <taffit@debian.org>  Wed, 09 Apr 2025 07:44:26 +0200
