=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,8 @@
 	# Build static classloader for shipping
 	phpab --output src/Autoload.php \
 		--template debian/autoload.php.tpl src
-	phpab --output php-staabm-side-effects-detector/autoload.php php-staabm-side-effects-detector
 	# Build classloader for tests
-	mkdir --parents vendor mimic/bin mimic/share/php/data mimic/share/php/staabm
+	mkdir --parents vendor mimic/bin mimic/share/php/data
 	phpabtpl \
 		--require-file ../mimic/share/php/PHPUnit/Autoload.php \
 		--require-file ../tests/_files/deprecation-trigger/trigger_deprecation.php \
@@ -89,3 +88,4 @@
 		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation/tests/FirstPartyClassTest.php \
 		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation/vendor/ThirdPartyClass.php \
 		--exclude tests/end-to-end/_files/baseline/generate-baseline-no-baseline-configured/tests/Test.php \
+		--exclude tests/end-to-end/_files/baseline/generate-baseline-suppressed-with-ignored-suppression/tests/Test.php \
