## phpunit 12.1.3

=== debian/changelog ===
phpunit (12.1.3-1) experimental; urgency=medium

  [ Markus Staab ]
  * Fix error_log output not displayed in failed test cases

  [ Sebastian Bergmann ]
  * Do not use the real size of memory allocated from the operating system as
    this is grown by PHP's memory manager in chunks that are so large that
    small(er) increases in peak memory usage cannot be seen
  * Reset the peak memory usage returned by memory_get_peak_usage() before the
    Test\Prepared event is emitted so that (memory usage at Test\Finished -
    memory usage at Test\Prepared) is the memory usage of the test
  * Use peak memory usage when representing Telemetry\Info as string
  * Do not emit "Before Test Method Errored" event when a test is skipped in a
    "before test" method
  * Prepare release

 -- David Prévot <taffit@debian.org>  Fri, 25 Apr 2025 07:59:22 +0200

phpunit (12.1.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Make TestCase::runTest() method private
  * Prepare release

 -- David Prévot <taffit@debian.org>  Wed, 09 Apr 2025 07:50:12 +0200

phpunit (12.1.0-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Start development of PHPUnit 12.1
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sun, 06 Apr 2025 11:43:41 +0200

phpunit (12.0.10-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Revert "Trigger warning when code coverage analysis is performed
    and no cache directory is configured"
  * Prepare release

 -- David Prévot <taffit@debian.org>  Tue, 25 Mar 2025 07:22:49 +0100

phpunit (12.0.9-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Wed, 19 Mar 2025 19:59:12 +0100

phpunit (12.0.8-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Trigger warning when code coverage analysis is performed and no cache
    directory is configured
  * Prepare release

 -- David Prévot <taffit@debian.org>  Wed, 19 Mar 2025 08:29:43 +0100

phpunit (12.0.7-2) experimental; urgency=medium

  * Revert "Ship php-staabm-side-effects-detector in NEW processing"

 -- David Prévot <taffit@debian.org>  Sun, 16 Mar 2025 12:41:48 +0100

phpunit (12.0.7-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Fri, 07 Mar 2025 09:11:03 +0100

phpunit (12.0.5-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Thu, 27 Feb 2025 13:23:58 +0100

phpunit (12.0.4-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sun, 23 Feb 2025 12:56:52 +0100

phpunit (12.0.3-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Do not emit a Test\Passed event in addition to a Test\Failed or
    Test\Errored event when an assertion failure or an unexpected exception
    is triggered in an after-test method
  * Emit a TestSuite\Finished event when a before-first-test method errors
  * Emit Test\PreparationFailed event when an unexpected exception is
    triggered in a before-test method
  * Declare TestCase::__construct() to be final
  * Prepare release

  [ David Prévot ]
  * Use recent php-codecoverage for tests

 -- David Prévot <taffit@debian.org>  Wed, 19 Feb 2025 07:32:03 +0100

phpunit (12.0.2-1) experimental; urgency=medium

  * Upload new major to experimental

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Rename DEP-8 patch
  * Drop php-soap
  * Drop phpunit-code-unit
  * Update required files for phpab
  * Update debian/clean
  * Exclude a test currently failing

 -- David Prévot <taffit@debian.org>  Sat, 08 Feb 2025 20:26:07 +0100
