=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 	phpabtpl \
 		--require-file ../mimic/share/php/PHPUnit/Autoload.php \
 		--require-file ../tests/_files/deprecation-trigger/trigger_deprecation.php \
-		--require-file ../tests/_files/CoverageNamespacedFunctionTest.php \
 		--require-file ../tests/_files/CoveredFunction.php \
 		--require-file ../tests/_files/Generator.php \
 		--require-file ../tests/_files/NamespaceCoveredFunction.php \
@@ -89,3 +88,4 @@
 		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation/vendor/ThirdPartyClass.php \
 		--exclude tests/end-to-end/_files/baseline/generate-baseline-no-baseline-configured/tests/Test.php \
 		--exclude tests/end-to-end/_files/baseline/generate-baseline-suppressed-with-ignored-suppression/tests/Test.php \
+		--exclude tests/end-to-end/_files/baseline/generate-baseline-suppressed/src/Source.php \
