## phpunit 12.2.5

=== debian/changelog ===
phpunit (12.2.5-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Do not include information about the Git repository in the Open Test
    Reporting XML format by default
  * Prepare release

 -- David Prévot <taffit@debian.org>  Fri, 27 Jun 2025 08:22:29 +0200

phpunit (12.2.3-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Update dependencies
  * Implement --do-not-report-useless-tests CLI option to replace
    --dont-report-useless-tests
  * Prepare release

 -- David Prévot <taffit@debian.org>  Mon, 23 Jun 2025 08:09:45 +0200

phpunit (12.2.2-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Use Exporter::shortenedRecursiveExport() for event-related value objects
  * Prepare release

  [ Kuba Werłos ]
  * Fix saving information about passed tests

 -- David Prévot <taffit@debian.org>  Tue, 17 Jun 2025 08:29:00 +0200

phpunit (12.2.1-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Update dependencies
  * Prepare release

  [ David Prévot ]
  * Update exclusions for phpab

 -- David Prévot <taffit@debian.org>  Mon, 09 Jun 2025 07:19:18 +0200

phpunit (12.1.6-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Update dependencies
  * Prepare release

  [ leon.schaub ]
  * Set default Clover coverage project name

  [ Kuba Werłos ]
  * Improve the error message when `createStubForIntersectionOfInterfaces`
    is called with a class

 -- David Prévot <taffit@debian.org>  Thu, 22 May 2025 18:41:58 +0200

phpunit (12.1.5-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Sebastian Feldmann ]
  * Revert placeholder diff improvement

 -- David Prévot <taffit@debian.org>  Sun, 11 May 2025 08:59:05 +0200

phpunit (12.1.4-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Implement configuration options for displaying details on all issues and
    failing on all issues

 -- David Prévot <taffit@debian.org>  Sat, 03 May 2025 07:33:56 +0200
