=== debian/control ===
--- 
+++ 
@@ -7,41 +7,36 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
                help2man,
-               php-codecoverage (>= 10.1),
+               php-codecoverage (>= 12),
                php-deepcopy,
                php-invoker,
                php-mbstring,
                php-pcov,
                php-phar-io-manifest,
-               php-soap,
+               php-staabm-side-effects-detector,
                php-timer,
                phpab,
                phpunit-cli-parser,
-               phpunit-code-unit,
                phpunit-comparator,
                phpunit-diff,
                phpunit-environment,
-               phpunit-global-state (>= 6),
-               phpunit-object-enumerator (>= 5),
-               phpunit-type (>= 5)
+               phpunit-global-state,
+               phpunit-object-enumerator,
+               phpunit-type
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/php-team/pear/phpunit.git -b debian/11
+Vcs-Git: https://salsa.debian.org/php-team/pear/phpunit.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/phpunit
 Homepage: https://phpunit.de/
 
 Package: phpunit
 Architecture: all
 Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
-Replaces: php-staabm-side-effects-detector,
-          ${phpcomposer:Debian-conflict},
-          ${phpcomposer:Debian-replace}
-Conflicts: php-staabm-side-effects-detector, ${phpcomposer:Debian-conflict}
+Replaces: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
+Conflicts: ${phpcomposer:Debian-conflict}
 Breaks: ${phpcomposer:Debian-replace}
 Suggests: ${phpcomposer:Debian-suggest}
-Provides: php-staabm-side-effects-detector (= 1.0.5-1),
-          ${phpcomposer:Debian-conflict},
-          ${phpcomposer:Debian-provide}
+Provides: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-provide}
 Description: Unit testing suite for PHP
  Unit testing allows you to write small test methods which verify units of
  functionality in your program.  It is a powerful technique for improving the
