=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,9 @@
 	phpab \
 		--output vendor/autoload.php \
 		--template debian/autoload.tests.php.tpl \
+		--exclude tests/end-to-end/deprecation-trigger/_files/deprecation-trigger-class/src/FirstPartyClass.php \
+		--exclude tests/end-to-end/deprecation-trigger/_files/deprecation-trigger-class/tests/FirstPartyClassTest.php \
+		--exclude tests/end-to-end/deprecation-trigger/_files/deprecation-trigger-class/vendor/ThirdPartyClass.php \
 		--exclude tests/end-to-end/deprecation-trigger/_files/deprecation-trigger-method/src/FirstPartyClass.php \
 		--exclude tests/end-to-end/deprecation-trigger/_files/deprecation-trigger-method/tests/FirstPartyClassTest.php \
 		--exclude tests/end-to-end/deprecation-trigger/_files/deprecation-trigger-method/vendor/ThirdPartyClass.php \
@@ -85,7 +88,3 @@
 		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self/vendor/ThirdPartyClass.php \
 		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation/src/FirstPartyClass.php \
 		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation/tests/FirstPartyClassTest.php \
-		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation/vendor/ThirdPartyClass.php \
-		--exclude tests/end-to-end/_files/baseline/generate-baseline-no-baseline-configured/tests/Test.php \
-		--exclude tests/end-to-end/_files/baseline/generate-baseline-suppressed-with-ignored-suppression/tests/Test.php \
-		--exclude tests/end-to-end/_files/baseline/generate-baseline-suppressed/src/Source.php \
