## phpunit 12.3.7

=== debian/changelog ===
phpunit (12.3.7-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Markus Staab ]
  * Take #[IgnorePhpunitDeprecations] attribute into account for test runner
    deprecations

 -- David Prévot <taffit@debian.org>  Fri, 29 Aug 2025 08:24:28 +0200

phpunit (12.3.6-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Do not set "report_memleaks" which will be deprecated in PHP 8.5
  * Prepare release

  [ David Prévot ]
  * Remove Rules-Requires-Root

 -- David Prévot <taffit@debian.org>  Thu, 21 Aug 2025 08:15:43 +0200

phpunit (12.3.5-1) experimental; urgency=medium

  [ Markus Staab ]
  * Print previous exception in Testdox
  * Detect premature end of phpunit main process

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sun, 17 Aug 2025 10:09:32 +0200

phpunit (12.3.4-1) experimental; urgency=medium

  [ Markus Staab ]
  * Relate deprecations from DataProvider with corresponding tests

  [ Sebastian Bergmann ]
  * Mark a test as errored (instead of skipped) when the file for error_log()
    capturing cannot be created
  * Prepare release

  [ Luke Towers ]
  * Fix: preserve tearDown() exceptions when test is skipped

  [ Dawid Nowak ]
  * Improve output of `--check-php-configuration`

 -- David Prévot <taffit@debian.org>  Fri, 15 Aug 2025 11:18:58 +0200

phpunit (12.3.3-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Emit DataProviderMethodFinished event also in case provided set has an
    invalid key
  * Do not use SplObjectStorage methods that will be deprecated in PHP 8.5
  * Prepare release

  [ Nicolas PHILIPPE ]
  * fix: generate baseline with relative path

  [ Markus Staab ]
  * Prevent fatal errors not reported

  [ David Prévot ]
  * Update exclusions for phpab

 -- David Prévot <taffit@debian.org>  Tue, 12 Aug 2025 11:00:52 +0200

phpunit (12.3.0-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Update required files for test

 -- David Prévot <taffit@debian.org>  Sun, 03 Aug 2025 19:57:55 +0200

phpunit (12.2.7-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Mon, 14 Jul 2025 08:35:37 +0200

phpunit (12.2.6-1) experimental; urgency=medium

  [ Kuba Werłos ]
  * Fix test with data provider and dependency which does not return value

  [ Sebastian Bergmann ]
  * Prepare release

  [ Grégoire Paris ]
  * Allow named arguments with InvocationStubber::with()

 -- David Prévot <taffit@debian.org>  Sun, 06 Jul 2025 06:46:00 +0200
