## phpunit 12.3.8

=== debian/changelog ===
phpunit (12.3.8-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Comment away unused patch to make lintian happier
  * Shorten d/copyright

 -- David Prévot <taffit@debian.org>  Sat, 06 Sep 2025 09:47:30 +0200
