## phpunit 12.3.11

=== debian/changelog ===
phpunit (12.3.11-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Implement __serialize() in addition to __sleep() (which will be deprecated
    in PHP 8.5)
  * Exclude __sleep() and __wakeup() from test double code generation on
    PHP >= 8.5
  * Prepare release

  [ Nicolas Grekas ]
  * Collect also engine-level deprecations when building the test suite

  [ Markus Staab ]
  * Disable Xdebug perf optimization when test requires xdebug

 -- David Prévot <taffit@debian.org>  Sun, 14 Sep 2025 11:02:57 +0200
