## phpunit 12.3.12

=== debian/changelog ===
phpunit (12.3.12-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Update dependencies
  * Prepare release

 -- David Prévot <taffit@debian.org>  Mon, 22 Sep 2025 08:48:44 +0200
