## phpunit 12.3.14

=== debian/changelog ===
phpunit (12.3.14-1) experimental; urgency=medium

  [ Sebastian Bergmann ]
  * Update dependencies
  * Prepare release

 -- David Prévot <taffit@debian.org>  Fri, 26 Sep 2025 06:40:44 +0200
