## phpunit 12.3.15

=== debian/changelog ===
phpunit (12.3.15-2) unstable; urgency=medium

  * Source-only upload

 -- David Prévot <taffit@debian.org>  Tue, 30 Sep 2025 08:34:59 +0200

phpunit (12.3.15-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ David Prévot ]
  * Upload to unstable in sync with PHPunit

 -- David Prévot <taffit@debian.org>  Mon, 29 Sep 2025 08:16:44 +0200
