## phpunit 12.4.0

=== debian/changelog ===
phpunit (12.4.0-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Deprecate #[RunClassInSeparateProcess] attribute
  * Prepare release

  [ Nicolas PHILIPPE ]
  * Add regex pattern to #[IgnoreDeprecations]

 -- David Prévot <taffit@debian.org>  Sat, 04 Oct 2025 09:23:06 +0200
