## phpunit 12.4.1

=== debian/changelog ===
phpunit (12.4.1-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Nicolas PHILIPPE ]
  * fix: ClassMethod for DataProvider events should be passed the real
    test class

  [ schlndh ]
  * fix --filter format used by PHPStorm

 -- David Prévot <taffit@debian.org>  Sun, 12 Oct 2025 12:47:17 +0200
