=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
                phpunit-object-enumerator,
                phpunit-type
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/php-team/pear/phpunit.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/phpunit
 Homepage: https://phpunit.de/
