## phpunit 12.4.2

=== debian/changelog ===
phpunit (12.4.2-1build1) resolute; urgency=medium

  * Disable various test dependencies for bootstrapping

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Nov 2025 21:13:40 -0500

phpunit (12.4.2-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Skipped tests alone no longer lead to a yellow background for the test
    result summary
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sat, 01 Nov 2025 09:26:17 +0100
