=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
                help2man,
-               php-codecoverage (>= 12),
+#               php-codecoverage (>= 12),
                php-deepcopy,
                php-invoker,
                php-mbstring,
@@ -16,13 +16,13 @@
                php-staabm-side-effects-detector,
                php-timer,
                phpab,
-               phpunit-cli-parser,
-               phpunit-comparator,
-               phpunit-diff,
-               phpunit-environment,
-               phpunit-global-state,
-               phpunit-object-enumerator,
-               phpunit-type
+#               phpunit-cli-parser,
+#               phpunit-comparator,
+#               phpunit-diff,
+#               phpunit-environment,
+#               phpunit-global-state,
+#               phpunit-object-enumerator,
+#               phpunit-type
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/php-team/pear/phpunit.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/phpunit
