=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 		--require-file ../tests/_files/CoveredFunction.php \
 		--require-file ../tests/_files/Generator.php \
 		--require-file ../tests/_files/NamespaceCoveredFunction.php \
+		--require-file ../tests/end-to-end/_files/listing-tests-and-groups/ExampleAbstractTestCase.php \
 		> debian/autoload.tests.php.tpl
 	phpab \
 		--output vendor/autoload.php \
@@ -87,4 +88,3 @@
 		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self/tests/FirstPartyClassTest.php \
 		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation-report-self/vendor/ThirdPartyClass.php \
 		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation/src/FirstPartyClass.php \
-		--exclude tests/end-to-end/self-direct-indirect/_files/user-deprecation/tests/FirstPartyClassTest.php \
