## phpunit 12.4.3

=== debian/changelog ===
phpunit (12.4.3-1) unstable; urgency=medium

  [ Rafael Dantas ]
  * Avoiding reading from STDOUT when rewind fails

  [ Sebastian Bergmann ]
  * Prepare release

 -- David Prévot <taffit@debian.org>  Sun, 16 Nov 2025 08:52:09 +0100
