## phpunit 12.4.4

=== debian/changelog ===
phpunit (12.4.4-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Markus Staab ]
  * Report invalid data provider on exceptions

  [ matt ]
  * ShutdownHandler does not output in child processes

 -- David Prévot <taffit@debian.org>  Mon, 24 Nov 2025 13:19:02 +0100
