## phpunit 12.4.5

=== debian/changelog ===
phpunit (12.4.5-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Prepare release

  [ Takuya Aramaki ]
  * Fix configuration migration without schema location

  [ David Prévot ]
  * Update exclusions for phpab

 -- David Prévot <taffit@debian.org>  Tue, 02 Dec 2025 10:24:58 +0100
