## phpunit 12.5.1

=== debian/changelog ===
phpunit (12.5.1-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Only ignore test selection configured in XML configuration file
  * Emit a PHPUnit notice for test methods that create a mock object but
    do not configure an expectation for it
  * Remove option that is no longer needed now that PHP 8.5 is supported
  * Introduce TestCase::getStubBuilder() as a migration target for
    TestCase::getMockBuilder() when no expectations are configured
  * Prepare release

  [ Vincent Langlet ]
  * Allow Throwable in expectExceptionObject

 -- David Prévot <taffit@debian.org>  Sun, 07 Dec 2025 05:23:17 +0100
