=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,7 @@
 		--exclude tests/end-to-end/deprecation-trigger/_files/deprecation-trigger-method/tests/FirstPartyClassTest.php \
 		--exclude tests/end-to-end/deprecation-trigger/_files/deprecation-trigger-method/vendor/ThirdPartyClass.php \
 		--exclude tests/end-to-end/deprecation-trigger/_files/details-process-isolation/tests/Test.php \
+		--exclude tests/end-to-end/execution-order/fixture/test-classes-with-duration/FooTest.php \
 		--exclude tests/end-to-end/extension/_files/class-does-not-exist/tests/Test.php \
 		--exclude tests/end-to-end/extension/_files/class-does-not-implement-interface/tests/Test.php \
 		--exclude tests/end-to-end/extension/_files/class-does-not-implement-interface/src/MyExtensionBootstrap.php \
