## phpunit 12.5.2

=== debian/changelog ===
phpunit (12.5.2-1) unstable; urgency=medium

  [ Sebastian Bergmann ]
  * Implement AllowMockObjectsWithoutExpectations attribute
  * Update dependencies
  * Prepare release

  [ David Prévot ]
  * Update exclusions for phpab

 -- David Prévot <taffit@debian.org>  Thu, 11 Dec 2025 06:25:40 +0100
